<?php
/**
* Plugin HeaderImgList
*
* @package	PLX
* @version	1.0
* @date	19/12/18
* @author Bronco
**/
class HeaderImgList extends plxPlugin {
#PROPERTIES
	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		
		
		
#GETCONFIG


		# Declaration d'un hook (existant ou nouveau)
		$this->addHook('AdminArticleFoot','AdminArticleFoot');

		
	}

	# Activation / desactivation
	public function OnActivate() {
		# code à executer à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à executer à la désactivation du plugin
	}
	

	########################################
	# HOOKS
	########################################


	########################################
	# AdminArticleFoot
	########################################
	# Description:
	public function AdminArticleFoot(){
		$plxMotor=plxMotor::getInstance();
		$root_url=$plxMotor->racine;
		$titles=glob(PLX_ROOT.'data/medias/images/titres/*');
		$select='<div id="selectContainer">Ou choisir une image <select id="HeaderTitlePic" style="width:100%;margin-bottom:25px" onchange="document.getElementById(\'id_thumbnail\').value=this.value;refreshImg2(this.value);">';
		foreach ($titles as $file) {
			if (strpos($file,'_THUMB_')!==false){continue;}
			$file=str_replace(PLX_ROOT,'',$file);
			$select.= '<option value="'.$file.'">'.basename($file).'</option>';
		}
		$select.='</select></div>';
		echo $select;
		echo '	
		<script>
			select=document.getElementById("selectContainer");
			document.getElementById("id_thumbnail").insertAdjacentHTML("afterend", select.innerHTML);
			select.parentNode.removeChild(select);
			function refreshImg2(url){
				if(url.trim()==="") {
					document.getElementById("id_thumbnail_img").innerHTML = "";
				} else {
					document.getElementById("id_thumbnail_img").innerHTML = "<img src=\''.PLX_ROOT.'"+url+"\'/>";
				}
			}
		</script>';
	}

	

}





/* Pense-bete:
 * Récuperer des etres du fichier eters.xml
 *	$this->getParam("<nom du etre>")
 *	$this-> setParam ("1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 *
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_PLUGINS
 * PLX_CONFIG_PATH
 * PLX_ADMIN (true si on est dans admin)
 * PLX_CHARSET
 * PLX_VERSION
 * PLX_FEED
 *
 * Appel de HOOK dans un thème
 *	eval($plxShow->callHook("ThemeEndHead","1"))  ou eval($plxShow->callHook("ThemeEndHead",array("1","2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","1"));
 */